/* Base Styles */
.rl-join-real-half-image-text {
  padding: 60px 0;
  margin: 100px auto;
}

@media (min-width: 768px) {
  .rl-join-real-half-image-text {
    padding: 70px 0;
  }
}

@media (min-width: 992px) {
  .rl-join-real-half-image-text {
    padding: 90px 0;
  }
}

/* Background Colors */
.rl-join-real-half-image-text.rl-bg-white {
  background-color: #ffffff;
}

.rl-join-real-half-image-text.rl-bg-off-white {
  background-color: var(--wp--preset--color--off-white);
}

.rl-join-real-half-image-text.rl-bg-soft-gray {
  background-color: var(--wp--preset--color--soft-gray);
}

.rl-join-real-half-image-text.rl-bg-cobalt {
  background-color: var(--wp--preset--color--cobalt);
}

.rl-join-real-half-image-text.rl-bg-cobalt
  .rl-join-real-half-image-text__logo-divide {
  border-color: var(--wp--preset--color--off-white);
}

/* Head Section */
.rl-join-real-half-image-text__head {
  margin-bottom: 14px;
  max-width: 900px;
}

@media (min-width: 768px) {
  .rl-join-real-half-image-text__head {
    margin-bottom: 40px;
  }
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text__head {
    margin-bottom: 70px;
  }
}

.rl-join-real-half-image-text__head_center {
  margin: 0 auto 60px;
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text__head_center {
    margin: 0 auto 70px;
  }
}

/* Row Layout */
.rl-join-real-half-image-text__row {
  display: flex;
  align-items: center;
  flex-direction: column-reverse;
  row-gap: 40px;
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text__row {
    flex-direction: row;
    column-gap: 100px;
  }

  .rl-join-real-half-image-text__row_image-left {
    flex-direction: row-reverse;
  }
}

/* Content Section */
.rl-join-real-half-image-text__content {
  width: 100%;
}

.rl-join-real-half-image-text__content .rl-head {
  margin-bottom: 30px;
}

.rl-join-real-half-image-text__content .rl-head:last-child {
  margin-bottom: 0;
}

.rl-join-real-half-image-text__content
  .rl-head
  + .rl-join-real-half-image-text__logo {
  margin-top: 50px;
}

.rl-join-real-half-image-text__content .rl-head__description {
  opacity: 1;
  font-size: 28px;
  line-height: 53px;
}

@media (max-width: 767px) {
  .rl-join-real-half-image-text__content .rl-head__description {
    opacity: 1;
    font-size: 26px;
    line-height: 36px ;
  }
}

/* Content Text */
.rl-join-real-half-image-text__content-text {
  margin-bottom: 40px;
}

.rl-join-real-half-image-text__content-text:last-child {
  margin-bottom: 0 !important;
}

.rl-join-real-half-image-text__content-text h1,
.rl-join-real-half-image-text__content-text h2,
.rl-join-real-half-image-text__content-text h3,
.rl-join-real-half-image-text__content-text h4,
.rl-join-real-half-image-text__content-text h5,
.rl-join-real-half-image-text__content-text h6 {
  margin-bottom: 10px;
  padding: 0;
}

.rl-join-real-half-image-text__content-text p {
  margin-bottom: 30px;
  opacity: 0.7;
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text__content-text p {
    font-size: 18px;
  }
}

.rl-join-real-half-image-text__content-text ol {
  margin: 0;
}

.rl-join-real-half-image-text__content-text ol li {
  font-size: 16px;
  line-height: 1.5;
  font-weight: 600;
  margin-bottom: 20px;
}

.rl-join-real-half-image-text__content-text small {
  font-size: 14px;
  line-height: 1.5;
}

.rl-join-real-half-image-text__content-text + .rl-btn {
  margin-bottom: 30px;
}

/* Image Section */
.rl-join-real-half-image-text__image {
  width: 100%;
  padding-bottom: 100%;
  position: relative;
  overflow: hidden;
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text__image {
    padding-bottom: calc(50% - 50px);
  }
}

.rl-join-real-half-image-text__image-full {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  overflow: hidden;
  z-index: 2;
}

.rl-join-real-half-image-text__image-shadow {
  width: calc(100% - 34px);
  height: calc(100% - 34px);
  background-color: var(--wp--preset--color--true-black);
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

@media (min-width: 768px) {
  .rl-join-real-half-image-text__image-shadow {
    width: calc(100% - 40px);
    height: calc(100% - 40px);
  }
}

.rl-join-real-half-image-text__image_shadow
  .rl-join-real-half-image-text__image-full {
  width: calc(100% - 24px);
  height: calc(100% - 24px);
  top: 24px;
  left: 24px;
}

@media (min-width: 768px) {
  .rl-join-real-half-image-text__image_shadow
    .rl-join-real-half-image-text__image-full {
    width: calc(100% - 40px);
    height: calc(100% - 40px);
    top: 40px;
    left: 40px;
  }
}

.rl-join-real-half-image-text__image_contain {
  padding-bottom: 0;
}

.rl-join-real-half-image-text__image_contain
  .rl-join-real-half-image-text__image-full {
  position: static;
}

.rl-join-real-half-image-text__image_contain
  .rl-join-real-half-image-text__image-full
  img {
  max-width: unset;
  width: 100%;
  height: 100%;
  object-fit: contain;
  object-position: center center;
}

/* Logo Section */
.rl-join-real-half-image-text__logo {
  display: flex;
  flex-direction: column;
  gap: 38px;
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text__logo {
    align-items: center;
    flex-direction: row;
    gap: 26px;
  }
}

@media (min-width: 1400px) {
  .rl-join-real-half-image-text__logo {
    gap: 36px;
  }
}

.rl-join-real-half-image-text__logo-img {
  width: 205px;
  flex-shrink: 0;
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text__logo-img {
    width: 180px;
  }
}

@media (min-width: 1400px) {
  .rl-join-real-half-image-text__logo-img {
    width: 205px;
  }
}

.rl-join-real-half-image-text__logo-img img {
  max-width: 100%;
  max-height: 82px;
}

.rl-join-real-half-image-text__logo-divide {
  align-self: stretch;
  width: 100%;
  height: 0;
  border-bottom: 1px solid var(--wp--preset--color--cobalt);
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text__logo-divide {
    height: auto;
    width: 0;
    border-right: 1px solid var(--wp--preset--color--cobalt);
  }
}

.rl-join-real-half-image-text__logo-description {
  font-size: 16px;
  line-height: 1.5;
}

@media (min-width: 768px) {
  .rl-join-real-half-image-text__logo-description {
    font-size: 18px;
  }
}

.rl-join-real-half-image-text__logo-description span {
  color: var(--wp--preset--color--coral);
}

/* App Links */
.rl-join-real-half-image-text__links-app {
  display: flex;
  align-self: center;
  gap: 20px;
  margin-top: 40px;
}

@media (min-width: 768px) {
  .rl-join-real-half-image-text__links-app {
    margin-top: 0;
  }
}

.rl-join-real-half-image-text__links-app > a[href="#"] {
  cursor: default;
  pointer-events: none;
}

.rl-join-real-half-image-text__links-app img {
  max-width: 100px !important;
  height: auto !important;
}

/* Text and Image Variants */
.rl-join-real-half-image-text_text-and-image .rl-head__description {
  margin-bottom: 30px;
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text_text-and-image .rl-head__description {
    margin-bottom: 40px;
  }

  .rl-join-real-half-image-text_text-and-image-with-app-logo,
  .rl-join-real-half-image-text_text-and-image-with-logo {
    padding: 180px 0;
  }
}

@media (max-width: 1199px) {
  .rl-join-real-half-image-text_text-and-image-with-app-logo
    .rl-join-real-half-image-text__image,
  .rl-join-real-half-image-text_text-and-image-with-logo
    .rl-join-real-half-image-text__image {
    order: -1;
  }

  .rl-join-real-half-image-text_text-and-image-with-app-logo {
    padding: 120px 0;
  }
}

@media (min-width: 1200px) {
  .rl-join-real-half-image-text_text-and-image-with-logo {
    padding: 180px 0;
  }
}

@media (max-width: 767px) {
  .rl-join-real-half-image-text_text-and-image-with-logo {
    padding: 70px 0;
  }
}
